hpp-corbaserver: hpp::core_idl::ConfigProjector Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::core_idl::ConfigProjector Interface Reference

`import </local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/core_idl/_constraints.idl;`

Inheritance diagram for hpp::core_idl::ConfigProjector:
[legend]
Collaboration diagram for hpp::core_idl::ConfigProjector:
[legend]

## Public Member Functions
void | setRightHandSideFromConfig (in floatSeq config) raises (Error)
void | setRightHandSideOfConstraintFromConfig (in constraints_idl::Implicit nm, in floatSeq config) raises (Error)
void | setRightHandSide (in floatSeq param) raises (Error)
void | setRightHandSideOfConstraint (in constraints_idl::Implicit nm, in floatSeq rhs) raises (Error)
floatSeq | getRightHandSide () raises (Error)
void | setRightHandSideAt (in value_type s) raises (Error)
boolean | isConstraintSatisfied (in constraints_idl::Implicit nm, in floatSeq arg, out floatSeq err, out boolean constraintFound) raises (Error)
constraints_idl::Implicits | numericalConstraints () raises (Error)
boolean | add (in constraints_idl::Implicit numconstraint, in unsigned long priority)
void | setLastIsOptional (in boolean optional)
boolean | getLastIsOptional ()
void | setErrorThreshold (in value_type threshold) raises (Error)
value_type | getErrorThreshold () raises (Error)
Public Member Functions inherited from hpp::core_idl::Constraint
boolean | apply (inout floatSeq config) raises (Error)
string | name () raises (Error)
string | str () raises (Error)
boolean | isSatisfied (in floatSeq config) raises (Error)
Constraint | copy () raises (Error)

## Member Function Documentation

## ◆ add()

boolean hpp::core_idl::ConfigProjector::add | ( | in constraints_idl::Implicit | numconstraint,
|  | in unsigned long | priority
| ) |  |

## ◆ getErrorThreshold()

value_type hpp::core_idl::ConfigProjector::getErrorThreshold | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getLastIsOptional()

boolean hpp::core_idl::ConfigProjector::getLastIsOptional | ( |  | ) |

## ◆ getRightHandSide()

floatSeq hpp::core_idl::ConfigProjector::getRightHandSide | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ isConstraintSatisfied()

boolean hpp::core_idl::ConfigProjector::isConstraintSatisfied | ( | in constraints_idl::Implicit | nm,
|  | in floatSeq | arg,
|  | out floatSeq | err,
|  | out boolean | constraintFound
| ) |  |
raises | ( | Error
| ) |  |

## ◆ numericalConstraints()

constraints_idl::Implicits hpp::core_idl::ConfigProjector::numericalConstraints | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ setErrorThreshold()

void hpp::core_idl::ConfigProjector::setErrorThreshold | ( | in value_type | threshold | ) |
raises | ( | Error
| ) |  |

## ◆ setLastIsOptional()

void hpp::core_idl::ConfigProjector::setLastIsOptional | ( | in boolean | optional | ) |

## ◆ setRightHandSide()

void hpp::core_idl::ConfigProjector::setRightHandSide | ( | in floatSeq | param | ) |
raises | ( | Error
| ) |  |

## ◆ setRightHandSideAt()

void hpp::core_idl::ConfigProjector::setRightHandSideAt | ( | in value_type | s | ) |
raises | ( | Error
| ) |  |

## ◆ setRightHandSideFromConfig()

void hpp::core_idl::ConfigProjector::setRightHandSideFromConfig | ( | in floatSeq | config | ) |
raises | ( | Error
| ) |  |

## ◆ setRightHandSideOfConstraint()

void hpp::core_idl::ConfigProjector::setRightHandSideOfConstraint | ( | in constraints_idl::Implicit | nm,
|  | in floatSeq | rhs
| ) |  |
raises | ( | Error
| ) |  |

## ◆ setRightHandSideOfConstraintFromConfig()

void hpp::core_idl::ConfigProjector::setRightHandSideOfConstraintFromConfig | ( | in constraints_idl::Implicit | nm,
|  | in floatSeq | config
| ) |  |
raises | ( | Error
| ) |  |

The documentation for this interface was generated from the following file:

- idl/hpp/core_idl/_constraints.idl